%define upstream_name Crypt-SSLeay
%define upstream_version 0.72

Summary:	Support for the https protocol under LWP
Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	3
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.cpan.org:21/pub/CPAN/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	pkgconfig(openssl)
BuildRequires:	perl-devel
BuildRequires:	perl-URI
BuildRequires:	perl(Path::Class)
BuildRequires:	perl(Try::Tiny)
BuildRequires:	perl-List-MoreUtils >= 0.320.0-3

%description 
This perl module provides support for the https protocol under LWP, so
that a LWP::UserAgent can make https GET & HEAD requests.

The Crypt::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on https requests, and provides the
necessary SSL glue for that module to work via these deprecated modules:

This product includes cryptographic software written by
Eric Young (eay@cryptsoft.com)

%files
%doc Changes META.json META.yml MYMETA.yml TODO eg
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/Net
%{_mandir}/*/*

#----------------------------------------------------------------------------

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make CFLAGS="%{optflags}"

%install
%makeinstall_std

%check
%make test


%changelog

* Wed Mar 16 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.720.0-3
- (7aff28d) Adjust spec style


